Hiawatha < 8.8 Mixed Case DenyBody Security Bypass

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote web server is affected by a security bypass
vulnerability.

Description :

According to its server response header, the installed version of
Hiawatha is a version prior to 8.8. A flaw exists when handling mixed
case input that could allow an attacker to bypass the DenyBody rules.

See also :

http://www.hiawatha-webserver.org/changelog

Solution :

Upgrade to Hiawatha 8.8 or later.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)

Family: Web Servers

Nessus Plugin ID: 69034 ()

Bugtraq ID:

CVE ID: